Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.java.archives
[Java] Class ManifestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.java.archives.ManifestException

    public class ManifestException
    extends GradleException

Is thrown in the case an operation is applied against a Manifest that violates the Manifest specification.

Authors:
  Hans Dockter

Constructor Summary
`ManifestException(String message)`
`ManifestException(String message, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### ManifestException

    public ManifestException(String message)

### ManifestException

    public ManifestException(String message, Throwable cause)

Gradle API 1.1-rc-1